<?php
namespace TRITUM\Example\Controller;

class StandardController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * @param \TRITUM\Example\Domain\Repository\DemandRepository $demandRepository
     */
    public function injectDemandRepository(\TRITUM\Example\Domain\Repository\DemandRepository $demandRepository)
    {
        $this->demandRepository = $demandRepository;
    }

    /**
     * @return void
     */
    public function indexAction()
    {
        $this->view->assign('demand', $this->demandRepository->findOneByUid(1));
    }
}
