<?php
defined('TYPO3_MODE') or die();

return call_user_func(function() {
    return [
        'ctrl' => [
            'title' => 'type',
            'label' => 'title',
            'sortby' => 'sorting',
            'tstamp' => 'tstamp',
            'crdate' => 'crdate',
            'delete' => 'deleted',
            'versioningWS' => 'false',
            'searchFields' => 'title',
            'transOrigDiffSourceField' => 'l10n_diffsource',
            'transOrigPointerField' => 'l10n_parent',
            'languageField' => 'sys_language_uid',
            'typeicon_classes' => [
                'default' => 'apps-pagetree-root'
            ],
        ],
        'types' => [
            '0' => [
                'showitem' => 'title'
            ]
        ],
        'columns' => [
            'title' => [
                'label' => 'title',
                'config' => [
                    'type' => 'input',
                    'max' => 255,
                    'eval' => 'required',
                ],
            ],
        ],
    ];
});
