<?php
namespace TRITUM\Example\Domain\Model;

use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

class Demand extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * @var string
     **/
    protected $title;

    /**
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TRITUM\Example\Domain\Model\Type>
     **/
    protected $types;

    /**
     * @param string $title
     * @return void
     */
    public function setTitle(string $title): void
    {
        $this->title = $title;
    }
    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TRITUM\Example\Domain\Model\Type>
     * @return void
     */
    public function setTypes(ObjectStorage $types): void
    {
        $this->types = $types;
    }

    /**
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage
     */
    public function getTypes(): ObjectStorage
    {
        return $this->types;
    }
}